services:
  db:
    volumes:
      - ./data/db:/var/lib/postgresql/data
      - ./supabase/migrations/00-run-init.sh:/docker-entrypoint-initdb.d/00-run-init.sh:ro
      - ./supabase/migrations/01-init.sql:/sql/01-init.sql:ro

  storage:
    volumes:
      - ./data/storage:/var/lib/storage

  imgproxy:
    volumes:
      - ./data/storage:/var/lib/storage

  post-init:
    volumes:
      - ./supabase/migrations/post-boot.sql:/sql/post-boot.sql:ro
      - ./supabase/migrations/02-leads.sql:/sql/02-leads.sql:ro
      - ./supabase/migrations/03-booking-flow.sql:/sql/03-booking-flow.sql:ro

  kong:
    volumes:
      - ./supabase/kong.yml:/home/kong/kong.yml:ro

  web:
    volumes:
      - ./frontend:/usr/share/nginx/html
      - ./frontend/nginx.conf:/etc/nginx/conf.d/default.conf:ro